=== modified file 'NEWS'
--- NEWS	2008-06-29 18:32:05 +0000
+++ NEWS	2008-06-29 18:31:29 +0000
@@ -10,7 +10,7 @@
   
   * Fixed adding tags. (Javier Derderian, #228709)
 
-  * Avoid use of removed smart_add. (Jelmer Vernooij, #244025, #244027)
+  * Avoid use of removed smart_add. (Jelmer Vernooij, #244025)
 
  INTERNALS
 

=== modified file 'olive/add.py'
--- olive/add.py	2008-06-29 18:32:05 +0000
+++ olive/add.py	2008-05-05 18:16:46 +0000
@@ -69,16 +69,20 @@
                              _i18n('Please select a file from the list,\nor choose the other option.'))
                 return
             
+            fullpath = self.wt.abspath(os.path.join(self.wtpath, filename))
+            
             try:
-                self.wt.add([filename])
+                bzrlib.add.smart_add([fullpath])
             except errors.NotBranchError:
                 error_dialog(_i18n('Directory is not a branch'),
                              _i18n('You can perform this action only in a branch.'))
                 return
         elif radio_unknown.get_active():
             # Add unknown files recursively
+            fullpath = self.wt.abspath(self.wtpath)
+            
             try:
-                self.wt.add(self.wt.unknowns())
+                bzrlib.add.smart_add([fullpath], True)
             except errors.NotBranchError:
                 error_dialog(_i18n('Directory is not a branch'),
                              _i18n('You can perform this action only in a branch.'))

